<div id="formDiv">
  <form class="form-inline">
    <div class="form-group">
      <label class="sr-only" for="Nombre">Nombre</label>
      <input type="text" class="form-control" id="Nombre" placeholder="...">
    </div>
    <button type="submit" class="btn btn-default">Submit</button>
  </form>
  </br>
  <div id="output"></div>
  </br>
</div>
<script>
  $('form').on('submit', function (event) {
    $.ajax({
      type: 'POST',
      url: 'http://localhost:5000/rest/biblioteca',
      data: JSON.stringify({ "docs": [] }),
      contentType: "application/json; charset=utf-8",
      dataType: "json",
    })
      .done(function (res) {
        console.log(res.data)
        console.log("hola desde script")
      });
    event.preventDefault();
  });

  function generateLibro() {
    return {
      "Nombre": $('#Nombre').val()
    }
  }
</script>